### Virtual Method

# Pos Completer set_language

#### Declaration [src]

    gboolean
    set_language (
      PosCompleter* self,
      const char* lang,
      const char* region,
      GError** error
    )

#### Description [src]

Let the completer pick a language based on the given language code and region. If an error occurs `FALSE` is returned and `error` set to the error.

For a locale of `de_AT` language would be `de` and region `at`.

#### Parameters

`lang`

  Type: `const char*`

  The language.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`region`

  Type: `const char*`

  The region `error` (nullable): The error location.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success. On error `FALSE`.